<?php

define('PADD_THEME_NAME','Boronic');
define('PADD_THEME_VERS','1.0');
define('PADD_THEME_SLUG','boronic');
define('PADD_GALL_THUMB_W',255);
define('PADD_GALL_THUMB_H',186);
define('PADD_LIST_THUMB_W',125);
define('PADD_LIST_THUMB_H',125);
define('PADD_YTUBE_W',250);
define('PADD_YTUBE_H',212);
define('PADD_THEME_FWVER','2.2');

define('PADD_THEME_PATH',get_theme_root() . DIRECTORY_SEPARATOR . PADD_THEME_SLUG);
define('PADD_FUNCT_PATH',PADD_THEME_PATH . DIRECTORY_SEPARATOR . 'functions' . DIRECTORY_SEPARATOR);

add_theme_support('post-thumbnails');
add_theme_support('automatic-feed-links');

register_nav_menus(array('main' => 'Main Menu',));

set_post_thumbnail_size(PADD_LIST_THUMB_W,PADD_LIST_THUMB_H,true);
add_image_size('gallery',PADD_GALL_THUMB_W,PADD_GALL_THUMB_H,true);

function padd_widgets_init() {
	register_sidebar(array(
		'name' => 'Sidebar',
		'before_widget' => '<div id="%1$s" class="box %2$s">',
		'after_widget' => '</div></div>',
		'before_title' => '<h3>',
		'after_title' => '</h3><div class="interior">',
	));
}
add_action('widgets_init','padd_widgets_init');

$_PADD_BGS = array(
	'stone' => 'Stone',
	'earth' => 'Earth',
	'wind' => 'Wind',
	'land' => 'Land',
	'water' => 'Water',
);

require PADD_FUNCT_PATH . 'library.php';

require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'socialnetwork.php';
require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'advertisement.php';
require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'widgets.php';
require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'twitter.php';
require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'pagination.php';
require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'input' . DIRECTORY_SEPARATOR . 'input-option.php';
require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'input' . DIRECTORY_SEPARATOR . 'input-socialnetwork.php';
require PADD_FUNCT_PATH . 'classes' . DIRECTORY_SEPARATOR . 'input' . DIRECTORY_SEPARATOR . 'input-advertisement.php';

require PADD_FUNCT_PATH . 'defaults.php';

require PADD_FUNCT_PATH . 'administration' . DIRECTORY_SEPARATOR . 'options-functions.php';
require PADD_FUNCT_PATH . 'administration' . DIRECTORY_SEPARATOR . 'posting-functions.php';











