


<?php if (!have_posts()) : ?>

<div id="post-0" class="post error404 not-found">
	<h1 class="title">Not Found</h1>
	<div class="entry-content">
		<p>Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.</p>
	</div>
</div>

<?php else : ?>

	<?php add_filter('excerpt_length', 'padd_theme_excerpt_index_length'); ?>
	<?php while (have_posts()) : ?>
		<?php the_post(); ?>
		<div id="post-<?php the_ID(); ?>" class="post entry">
			<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			<a class="image" href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
				<?php padd_theme_post_thumbnail(); ?>
			</a>
			<div>
				<?php the_excerpt();?>
				<p class="meta">
					<a href="<?php comments_link(); ?>"><?php comments_number('No comments','1 comment','% comments')?></a> |
					<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">Read More</a>
				</p>
			</div>
		</div>
	<?php endwhile; ?>
	<?php remove_filter('excerpt_length', 'padd_theme_excerpt_index_length'); ?>
	<?php Padd_PageNavigation::render(); ?>

<?php endif; ?>









	
	
